package dr.midlet;
import java.util.*;
import java.io.*;
import javax.microedition.lcdui.*;

public class SplashScreen extends Canvas  {
  private Display display;
  private Displayable next;
  private Timer timer = new Timer();
  Image logo = null;
  Image logo3 = null;

  public SplashScreen(Display display, Displayable next) {
    this.display = display;
    this.next = next;
    try {
      logo = Image.createImage("/dr/midlet/images/coffee.png");
      // logo3 = Image.createImage("/dr/midlet/images/oasw_logo.png");
    }
    catch(IOException e) {
      System.out.println("No image.");
    }
    display.setCurrent(this);
  }
  
  protected void paint(Graphics g) {
    g.setColor(255, 255, 255);
    g.fillRect(0, 0, g.getClipWidth()-1, g.getClipHeight()-1);
    g.drawRect(0, 0, g.getClipWidth()-1, g.getClipHeight()-1);
    // g.drawImage(logo3, 90, 100, Graphics.BOTTOM | Graphics.RIGHT);
    Random rand = new Random();
    for(int i = 0; i < 20; ++i) {
      g.drawImage(logo, Math.abs(rand.nextInt()) % g.getClipWidth(), 
        Math.abs(rand.nextInt()) % g.getClipHeight(), Graphics.TOP | Graphics.LEFT);
      g.setColor(Math.abs(rand.nextInt()) % 256, Math.abs(rand.nextInt()) % 256, 
        Math.abs(rand.nextInt()) % 256);
      g.drawString("DriveReporter", Math.abs(rand.nextInt()) % g.getClipWidth(), 
        Math.abs(rand.nextInt()) % g.getClipHeight(), Graphics.TOP | Graphics.LEFT);  
    }
  }
  
  protected void keyPressed(int keyCode) {
    this.dismiss();
  }
  
  protected void pointerPressed(int x, int y) {
    this.dismiss();
  }
  
  protected void showNotify() {
    timer.schedule(new CountDown(), 10000);
  }
  
  private void dismiss() {
    timer.cancel();
    display.setCurrent(next);
  }
  
  private class CountDown extends TimerTask {
    public void run() {
      dismiss();
    }
  }
}