package dr.rms.stream;
import dr.midlet.DRItem;
import javax.microedition.rms.*;
import dr.midlet.Project;

public class RMSManagerProject extends RMSManagerStream {
  public RMSManagerProject(String fileName, RecordComparator rc, RecordFilter filter) {
    super(fileName, rc, filter, 50);
  }
  
  public synchronized int insertRecord(DRItem record) {
    return super.insertRecord(writeDataTypes((Project)record));
  }
 
  public synchronized void updateRecord(int id, DRItem record) {
    super.updateRecord(id, writeDataTypes((Project)record));
  }
  
  byte[] writeDataTypes(Project record) {
    byte[] bytes = null;
    try {
      outStreamBytes.reset();
      
      outStreamDataType.writeInt(record.getDRId());
      
      outStreamDataType.flush();
      bytes = outStreamBytes.toByteArray();
    }
    catch(Exception e) {
      System.out.println(e.toString());
    }
    return bytes;
  }
  
  public DRItem getRecord(int id) {
    try {
      inStreamBytes.reset();
      this.getRecord(id, recData);
      
      int prid = inStreamDataType.readInt();
      Project item = new Project(prid);
      return item;
    }
    catch(Exception e) {
      e.printStackTrace();
    }
    return null;
  }
}