package dr.various;

public class Money  {
  private Money() {
  }
  
  public static String intToMoney(int price100) {
    String prefix = "";
    if(price100 <= 9)
      prefix = "00";
    else if(price100 <= 99) {
      prefix = "0";
    }
    String s = prefix + String.valueOf(price100);
    return s.substring(0, s.length()-2) + '.' + s.substring(s.length()-2);
  }

  public static int moneyToInt(String price) {
    int i = price.indexOf('.');
    if(i == -1) {
      price = price + ".00";
      i = price.indexOf('.');
    }
    else {
      price = price + "00";
    }
    price = price.substring(0, i) + price.substring(i+1, i+3);
    int price100 = 0;
    try {
      price100 = Integer.parseInt(price);
    } catch(Exception e) {}; 
    return price100;
  }
}